
import numpy as np
from scipy.optimize import minimize

def optimize_function(x, a=1, b=2, c=3):
    # This function returns the value of a quadratic function
    return a * x**2 + b * x + c

def custom_optimization(x0):
    # This function uses scipy's minimize method to find the minimum value of the quadratic function
    result = minimize(optimize_function, x0, method='Nelder-Mead')
    return result.x

